This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 761474 - Review Request: ibus-european-table - Predictive text for european languages
Review Request: ibus-european-table - Predictive text for european languages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-08 06:51 EST by anish
Modified: 2015-04-12 19:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 01:21:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description anish 2011-12-08 06:51:38 EST
Spec URL:https://github.com/gnuman/fedora_package/blob/master/ibus-european-table.spec
SRPM URL: https://github.com/gnuman/fedora_package/blob/master/ibus-european-table-1.1.0-1.fc15.src.rpm

Description:
 The ibus-european-table predict the text so that typing makes easy for
 user
Comment 1 Parag AN(पराग) 2011-12-14 05:11:52 EST
Review:

+ koji scratch build f17 ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3583991

+ rpmlint on rpms gave
ibus-european-table.src: W: file-size-mismatch ibus-european-table-1.1.0.tar.gz = 275240, https://github.com/gnuman/fedora_package/blob/master/ibus-european-table-1.1.0.tar.gz = 25090
ibus-european-table.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/ibus-european-table.pc
ibus-european-table.noarch: W: no-manual-page-for-binary ibus-european-table-createdb
ibus-european-table.src: W: file-size-mismatch ibus-european-table-1.1.0.tar.gz = 275240, https://github.com/gnuman/fedora_package/blob/master/ibus-european-table-1.1.0.tar.gz = 25090
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
==> I see that if source is downloaded using wget then size mismatch happens.you can optionally just put the name of tarball instead of URL.

+ Source verified with upstream as 
00ef1ef876878ac03c3978d7f1ec75f3df287907  ibus-european-table-1.1.0.tar.gz
00ef1ef876878ac03c3978d7f1ec75f3df287907  ../SOURCES/ibus-european-table-1.1.0.tar.gz


Suggestions:
1) you don't need to write following line in spec now in Fedora
%defattr(-,root,root,-)

APPROVED.
Comment 2 anish 2011-12-15 00:10:35 EST
Thanks Parag for the review
Comment 3 anish 2011-12-15 00:14:35 EST
New Package SCM Request
=======================
Package Name: ibus-european-table
Short Description: Predictive text for european languages 
Owners: anishpatil
Branches: f17,master
InitialCC: apatil@redhat.com
Comment 4 Jon Ciesla 2011-12-15 08:15:04 EST
Git done (by process-git-requests).

f17==devel, and email addresses!= FAS accounts.
Comment 5 anish 2012-01-04 01:41:08 EST
New Package SCM Request
=======================
Package Name: ibus-european-table
Short Description: Predictive text for european languages 
Owners: anishpatil
Branches: f16,master
Comment 6 anish 2012-01-04 02:09:22 EST
New Package SCM Request
=======================
Package Name: ibus-european-table
Short Description: Predictive text for european languages 
Owners: anishpatil
Branches: f16
InitialCC:
Comment 7 Jon Ciesla 2012-01-04 08:46:42 EST
This is already done.
Comment 8 Parag AN(पराग) 2012-01-04 09:20:45 EST
I see only master as a heads. See->http://pkgs.fedoraproject.org/gitweb/?p=ibus-european-table.git

I think you got confused with anish's repeated requests. He is still learning to SCM requests. Please add f16 branch for this package.
Comment 9 anish 2012-01-04 09:43:53 EST
Thanks Parag and Jon Ciesla.

Jon Ciesla , please  add f16 branch for this package.
Comment 10 Jon Ciesla 2012-01-04 09:47:52 EST
File a package change request:

https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 11 anish 2012-01-05 08:02:12 EST
Package Change Request
======================
Package Name: ibus-european-table
New Branches: f16
Owners: anishpatil
InitialCC:
Comment 12 Jon Ciesla 2012-01-05 09:21:30 EST
Git done (by process-git-requests).
Comment 13 anish 2012-01-06 01:40:16 EST
Package Change Request
======================
Package Name: ibus-european-table
New Branches: f15
Owners: anishpatil
InitialCC:i18n-team
Comment 14 Jon Ciesla 2012-01-06 09:23:23 EST
Git done (by process-git-requests).
Comment 15 Parag AN(पराग) 2012-01-16 08:32:59 EST
if the packages are built on koji then submit the update in bodhi.
Comment 16 anish 2012-02-07 01:21:01 EST
The package is build in koji hence closing the bug

Note You need to log in before you can comment on or make changes to this bug.